Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner
Class ValidityReport.Report

    java.lang.Object
      com.hp.hpl.jena.reasoner.ValidityReport.Report

Enclosing interface:
  ValidityReport

    public static class ValidityReport.Report

extends java.lang.Object

Field Summary
`java.lang.String` | `description` A textual description of the error or warning.
`java.lang.Object` | `extension` Some reasoner dependent data structure giving more information on the problem.
`boolean` | `isError` True if the report is a error, false if it is just a warning.
`java.lang.String` | `type` The type of the error discovered, the range of errors types is reasoner-dependent.

Constructor Summary
`ValidityReport.Report(boolean error, java.lang.String type, java.lang.String description)` Constructor.
`ValidityReport.Report(boolean error, java.lang.String type, java.lang.String description, java.lang.Object extension)` Constructor

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.Object` | `getExtension()`
`java.lang.String` | `getType()`
`boolean` | `isError()`
`java.lang.String` | `toString()` Printable form of the report

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public java.lang.String type

  The type of the error discovered, the range of errors types is reasoner-dependent.

### isError

    public boolean isError

  True if the report is a error, false if it is just a warning.

### description

    public java.lang.String description

  A textual description of the error or warning.

### extension

    public java.lang.Object extension

  Some reasoner dependent data structure giving more information on the problem.

Constructor Detail

### ValidityReport.Report

    public ValidityReport.Report(boolean error,
                                 java.lang.String type,
                                 java.lang.String description)

  Constructor.

  Parameters:
    `error` - true if the report is an error, false if it is just a warning
    `type` - a string giving a reasoner-dependent classification for the report
    `description` - a textual description of the problem

### ValidityReport.Report

    public ValidityReport.Report(boolean error,
                                 java.lang.String type,
                                 java.lang.String description,
                                 java.lang.Object extension)

  Constructor

  Parameters:
    `error` - true if the report is an error, false if it is just a warning
    `type` - a string giving a reasoner-dependent classification for the report
    `description` - a textual description of the problem
    `extension` - a reasoner dependent data structure giving more information on the problem.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns:
    a textual description of the problem

### getExtension

    public java.lang.Object getExtension()

  Returns:
    a reasoner dependent data structure giving more information on the problem.

### isError

    public boolean isError()

  Returns:
    True if the report is a error, false if it is just a warning.

### getType

    public java.lang.String getType()

  Returns:
    a string giving a reasoner-dependent classification for the report

### toString

    public java.lang.String toString()

  Printable form of the report

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP